- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Types | Private Member Functions | List of all members
libepubgen::EPUBSpanStyleManager Class Reference

Small class to manage the span style. More...

`#include <EPUBSpanStyleManager.h>`

## Public Member Functions
| EPUBSpanStyleManager ()
| constructor More...
| ~EPUBSpanStyleManager ()
| destructor More...
void | defineSpan (librevenge::RVNGPropertyList const &pList)
| define a span style More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
void | send (EPUBCSSSink &out)
| send the data to the sink More...

## Protected Member Functions
void | extractProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...
void | extractTextPosition (char const *value, EPUBCSSProperties &cssProps) const
| add data corresponding to a text position into the map More...
void | extractDecorations (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| add data corresponding to the line decoration into the map More...

## Protected Attributes
ContentNameMap_t | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...

## Private Types
typedef boost::unordered_map< EPUBCSSProperties, std::string > | ContentNameMap_t

## Private Member Functions
| EPUBSpanStyleManager (EPUBSpanStyleManager const &orig)
EPUBSpanStyleManager | operator= (EPUBSpanStyleManager const &orig)

## Detailed Description

Small class to manage the span style.

## Member Typedef Documentation

typedef boost::unordered_map<EPUBCSSProperties, std::string> libepubgen::EPUBSpanStyleManager::ContentNameMap_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBSpanStyleManager::EPUBSpanStyleManager | ( |  | ) |
| inline

constructor

libepubgen::EPUBSpanStyleManager::~EPUBSpanStyleManager | ( |  | ) |
| inline

destructor

libepubgen::EPUBSpanStyleManager::EPUBSpanStyleManager | ( | EPUBSpanStyleManager const & | orig | ) |
| private

## Member Function Documentation

void libepubgen::EPUBSpanStyleManager::defineSpan | ( | librevenge::RVNGPropertyList const & | pList | ) |

define a span style

Referenced by libepubgen::EPUBHTMLGenerator::defineCharacterStyle().

void libepubgen::EPUBSpanStyleManager::extractDecorations | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protected

add data corresponding to the line decoration into the map

Referenced by extractProperties().

void libepubgen::EPUBSpanStyleManager::extractProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protected

convert a property list into a CSS property map

Referenced by getClass().

void libepubgen::EPUBSpanStyleManager::extractTextPosition | ( | char const * | value,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protected

add data corresponding to a text position into the map

Referenced by extractProperties().

std::string libepubgen::EPUBSpanStyleManager::getClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by defineSpan(), and libepubgen::EPUBHTMLGenerator::openSpan().

EPUBSpanStyleManager libepubgen::EPUBSpanStyleManager::operator= | ( | EPUBSpanStyleManager const & | orig | ) |
| private

void libepubgen::EPUBSpanStyleManager::send | ( | EPUBCSSSink & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

ContentNameMap_t libepubgen::EPUBSpanStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by getClass(), and send().

std::map<int, std::string> libepubgen::EPUBSpanStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineSpan(), and getClass().

The documentation for this class was generated from the following files:

- EPUBSpanStyleManager.h
- EPUBSpanStyleManager.cpp